Skip to main content
GET
/
conversations
/
v3
/
conversations
/
threads
/
{threadId}
/
messages
/
{messageId}
Get a single message
curl --request GET \
  --url https://api.hubapi.com/conversations/v3/conversations/threads/{threadId}/messages/{messageId} \
  --header 'Authorization: Bearer <token>'
{
  "type": "MESSAGE",
  "id": "<string>",
  "conversationsThreadId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "client": {
    "clientType": "HUBSPOT",
    "integrationAppId": 123
  },
  "senders": [
    {
      "actorId": "<string>",
      "deliveryIdentifier": {
        "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
        "value": "<string>"
      },
      "name": "<string>",
      "senderField": "<string>"
    }
  ],
  "recipients": [
    {
      "deliveryIdentifier": {
        "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
        "value": "<string>"
      },
      "actorId": "<string>",
      "name": "<string>",
      "recipientField": "<string>"
    }
  ],
  "archived": true,
  "text": "<string>",
  "attachments": [
    {
      "fileId": "<string>",
      "fileUsageType": "AUDIO",
      "type": "FILE",
      "name": "<string>",
      "url": "<string>"
    }
  ],
  "truncationStatus": "NOT_TRUNCATED",
  "direction": "INCOMING",
  "channelId": "<string>",
  "channelAccountId": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "richText": "<string>",
  "subject": "<string>",
  "inReplyToId": "<string>",
  "status": {
    "statusType": "FAILED",
    "failureDetails": {
      "errorMessageTokens": {},
      "errorMessage": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

messageId
string
required
threadId
integer<int64>
required

Query Parameters

property
string

Response

successful operation

type
enum<string>
default:MESSAGE
required
Available options:
MESSAGE
id
string
required
conversationsThreadId
string
required
createdAt
string<date-time>
required
createdBy
string
required
client
object
required
senders
object[]
required
recipients
object[]
required
archived
boolean
required
text
string
required
attachments
(FILE · object | LOCATION · object | CONTACT · object | UNSUPPORTED_CONTENT · object | MESSAGE_HEADER · object | QUICK_REPLIES · object | WHATSAPP_TEMPLATE_METADATA · object | SOCIAL_MEDIA_METADATA · object)[]
required
truncationStatus
enum<string>
required
Available options:
NOT_TRUNCATED,
TRUNCATED_TO_MOST_RECENT_REPLY,
TRUNCATED
direction
enum<string>
required
Available options:
INCOMING,
OUTGOING
channelId
string
required
channelAccountId
string
required
updatedAt
string<date-time>
richText
string
subject
string
inReplyToId
string
status
object
Last modified on March 30, 2026